## kotlin-mode 0.0~git20210917.3e0c340

=== Makefile ===
CASK ?= cask
EMACS ?= emacs
VERSION := $(shell EMACS=$(EMACS) $(CASK) version)

SRC = $(wildcard *.el)
PACKAGE = dist/kotlin-mode-$(VERSION).tar

.PHONY: help all deps package install test clean

help:
## Shows this message.
# Process this Makefile with following filters
#
# - Remove empty line.
# - Remove line starting with whitespace, dot, or uppercase letters.
# - Remove line containing ## no-doc.
# - Remove after colon if the line is not a comment line.
# - Replace /^## / to "  ".
# - Remove other comment lines.
# - Insert newline before rules.
	@sed -e '/^\s*$$/d; /^[	.A-Z]/d; /## no-doc/d; s/^\([^#][^:]*\):.*/\1/; s/^## /  /; /^#/d; s/^[^ ]/\n&/' Makefile

all: package
## Builds the package.

deps:
## Installs the dependencies.
	$(CASK) install

$(PACKAGE): $(SRC) deps ## no-doc
	rm -rf dist
	$(CASK) package

package: $(PACKAGE)
## Builds the package.

install: package
## Installs the package.
	$(CASK) exec $(EMACS) --batch \
	  -l package \
	  -f package-initialize \
	  -f package-refresh-contents \
	  --eval '(package-install-file "$(PACKAGE)")'

clean:
## Cleans the dist directory and *.elc.
	rm -rf dist *.elc

test:
## Tests the package.
	$(CASK) exec $(EMACS) --batch -q \
	  --eval "(add-to-list 'load-path \""$(shell readlink -f .)"\")" \
	  --eval "(add-to-list 'load-path \""$(shell readlink -f .)"/test\")" \
	  -f batch-byte-compile \
	  *.el
	cask exec ert-runner -L . -L test

=== debian/changelog ===
kotlin-mode (0.0~git20210917.3e0c340-1) unstable; urgency=medium

  * Initial release. (Closes: #922934)

 -- Joshua Peisach <itzswirlz2020@outlook.com>  Thu, 17 Mar 2022 22:17:45 -0400

=== debian/control ===
Source: kotlin-mode
Section: editors
Priority: optional
Maintainer: Joshua Peisach <itzswirlz2020@outlook.com>
Build-Depends: debhelper-compat (= 13),
 dh-elpa
Standards-Version: 4.6.0
Testsuite: autopkgtest-pkg-elpa
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/emacsen-team/kotlin-mode
Vcs-Git: https://salsa.debian.org/emacsen-team/kotlin-mode.git
Homepage: https://github.com/Emacs-Kotlin-Mode-Maintainers/kotlin-mode

Package: elpa-kotlin-mode
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: Emacs major mode for kotlin
 This package contains an Emacs major mode for Kotlin, including a REPL.
 .
 It has syntax support (font-lock), along with interactive region sending to
 its own REPL. There are also settings for indentation parameters and having
 features to navigate Kotlin code easier.
 .
 In the future, this package will have support for Gradle build files.

## kotlin-mode 0.0~git20230123.fddd747

=== Makefile ===
--- 
+++ 
@@ -48,9 +48,16 @@
 
 test:
 ## Tests the package.
-	$(CASK) exec $(EMACS) --batch -q \
-	  --eval "(add-to-list 'load-path \""$(shell readlink -f .)"\")" \
-	  --eval "(add-to-list 'load-path \""$(shell readlink -f .)"/test\")" \
-	  -f batch-byte-compile \
-	  *.el
-	cask exec ert-runner -L . -L test
+	CASK="${CASK}" EMACS="${EMACS}" scripts/run_test.sh
+
+test_in_docker:
+## Tests the package in Docker.
+	CASK="${CASK}" EMACS="${EMACS}" scripts/run_test_in_docker.sh
+
+lint:
+## Run linters.
+	CASK="${CASK}" EMACS="${EMACS}" scripts/run_linter.sh
+
+lint_in_docker:
+## Run linters in Docker.
+	CASK="${CASK}" EMACS="${EMACS}" scripts/run_linter_in_docker.sh

=== doc/indentation_logic/Makefile ===
pages.pdf: pages/page_000.pdf
	pdfunite pages/page_*.pdf pages.pdf

pages/page_000.pdf: pages/page_000.svg
	for i in pages/page_*.svg ; do inkscape --export-pdf=pages/"$$( basename "$${i}" .svg )".pdf "$${i}" ; done

pages/page_000.svg: src/pages.svg src/split_pages.kts
	kotlinc-jvm -script src/split_pages.kts src/pages.svg

clean:
	rm -rf pages.pdf pages

=== debian/changelog ===
kotlin-mode (0.0~git20230123.fddd747-2) unstable; urgency=medium

  * Team upload.
  * Install all elisp files.  Kotlin-mode-indent.el was missing from
    elpa-kotlin-mode in the last upload (Closes: #1030830).

 -- Nicholas D Steeves <sten@debian.org>  Tue, 07 Feb 2023 17:02:53 -0500

kotlin-mode (0.0~git20230123.fddd747-1) unstable; urgency=medium

  [ Joshua Peisach ]
  * Update to new upstream commit fddd747 (Closes: #1011594)
  * Refresh patch 0001 (update source version)
  * Declare compliance with Standards-Version 4.6.2 (no changes required).
  * Remove the emacs version recommendation constraint
    - Oldest version in the archive (buster) is 1:26.1+1-3.2+deb10u3.
    - kotlin-mode.el states a requirement of emacs 24.3 or later.
    - Users keeping their system up to date will fulfill this
      constraint by default.

  [ Nicholas D Steeves ]
  * Drop installation of the "doc/" subdir; it does not yet meet Debian
    standards, but uploading today, without docs will allow this package to
    become part of bookworm.  These issues will be detailed in a bug, and
    should be resolved before the hard freeze.

 -- Joshua Peisach <itzswirlz2020@outlook.com>  Mon, 06 Feb 2023 20:25:54 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: kotlin-mode
 Section: editors
 Priority: optional
-Maintainer: Joshua Peisach <itzswirlz2020@outlook.com>
+Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
+Uploaders: Joshua Peisach <itzswirlz2020@outlook.com>
 Build-Depends: debhelper-compat (= 13),
  dh-elpa
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Testsuite: autopkgtest-pkg-elpa
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/emacsen-team/kotlin-mode
@@ -14,7 +15,7 @@
 Package: elpa-kotlin-mode
 Architecture: all
 Depends: ${elpa:Depends}, ${misc:Depends}
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Description: Emacs major mode for kotlin
  This package contains an Emacs major mode for Kotlin, including a REPL.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
https://github.com/Emacs-Kotlin-Mode-Maintainers/kotlin-mode \
HEAD debian
